import { jsx } from "react/jsx-runtime";
import { ImageIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Image = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Image", ...props, children: /* @__PURE__ */ jsx(ImageIcon, { weight: variant }) });
  }
);
Image.displayName = "Image";
Object.assign(Image, { isGdsIcon: true });
export {
  Image
};
